ArNetworking: ArServerSimpleComMovementLogging Class Reference

- Main Page
- Classes
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# ArServerSimpleComMovementLogging Class Reference

`#include <ArServerSimpleCommands.h>`

List of all members.

## Detailed Description

Class for enabling or disabling logging of movement commands and data.

This just calls ArRobot::setLogMovementSent and ArRobot::setLogLovementReceived. It makes these available for easy enabling or disabling on the client side.

## Public Member Functions
| ArServerSimpleComMovementLogging (ArServerHandlerCommands *handlerCommands, ArRobot *robot, ArServerHandlerPopup *popupHandler=NULL)
| Constructor.
void | logActions (void)
| Log the status of the actions on the robot.
void | logActionsDisable (void)
| Disable logging of velocities received from the robot.
void | logActionsEnable (void)
| Enable logging of velocities received from the robot.
void | logMovementReceivedDisable (void)
| Disable logging of movement received from the robot.
void | logMovementReceivedEnable (void)
| Enable logging of movement received from the robot.
void | logMovementSentDisable (void)
| Disable logging of movement commands sent to the robot.
void | logMovementSentEnable (void)
| Enable logging of movement commands sent to the robot.
void | logVelocitiesReceivedDisable (void)
| Disable logging of velocities received from the robot.
void | logVelocitiesReceivedEnable (void)
| Enable logging of velocities received from the robot.
void | packetsReceivedTrackingDisable (void)
| Disable tracking of packets from the robot.
void | packetsReceivedTrackingEnable (void)
| Enable tracking of packets from the robot.
void | packetsSentTrackingDisable (void)
| Disable tracking of packets from the robot.
void | packetsSentTrackingEnable (void)
| Enable tracking of packets from the robot.
void | popupMovementParams (void)
| Popups up the movement parameters.
void | resetOdometer (void)
| Resets the odometer.
virtual | ~ArServerSimpleComMovementLogging ()
| Destructor.
## Protected Attributes
ArServerHandlerCommands * | myHandlerCommands
ArFunctorC< ArServerSimpleComMovementLogging > | myLogActionsCB
ArFunctorC< ArServerSimpleComMovementLogging > | myLogActionsDisableCB
ArFunctorC< ArServerSimpleComMovementLogging > | myLogActionsEnableCB
ArFunctorC< ArServerSimpleComMovementLogging > | myLogMovementReceivedDisableCB
ArFunctorC< ArServerSimpleComMovementLogging > | myLogMovementReceivedEnableCB
ArFunctorC< ArServerSimpleComMovementLogging > | myLogMovementSentDisableCB
ArFunctorC< ArServerSimpleComMovementLogging > | myLogMovementSentEnableCB
ArFunctorC< ArServerSimpleComMovementLogging > | myLogVelocitiesReceivedDisableCB
ArFunctorC< ArServerSimpleComMovementLogging > | myLogVelocitiesReceivedEnableCB
ArFunctorC< ArServerSimpleComMovementLogging > | myPacketsReceivedTrackingDisableCB
ArFunctorC< ArServerSimpleComMovementLogging > | myPacketsReceivedTrackingEnableCB
ArFunctorC< ArServerSimpleComMovementLogging > | myPacketsSentTrackingDisableCB
ArFunctorC< ArServerSimpleComMovementLogging > | myPacketsSentTrackingEnableCB
ArServerHandlerPopup * | myPopupHandler
ArFunctorC< ArServerSimpleComMovementLogging > | myPopupMovementParamsCB
ArFunctorC< ArServerSimpleComMovementLogging > | myResetOdometerCB
ArRobot * | myRobot

The documentation for this class was generated from the following file:

- ArServerSimpleCommands.h